### Method

# ICalGLib VcardStructured get_field_at

since: 4.0

#### Declaration [src]

    ICalVcardStrArray*
    i_cal_vcard_structured_get_field_at (
      ICalVcardStructured* self,
      guint position
    )

#### Description [src]

Gets the `self` `position` field. Returns `NULL` when the item is not set or when the `position` is out of bounds.

Available since: 4.0

#### Parameters

`position`

  Type: `guint`

  The zero-based index of the field to retrieve.

#### Return value

Type: `const ICalVcardStrArray`

A new `ICalVcardStrArray` at `position`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.